## openssh 5.8p1

=== debian/changelog ===
openssh (1:5.8p1-7ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2011 16:56:27 +0100

openssh (1:5.8p1-7) unstable; urgency=low

  * Only recommend ssh-import-id when built on Ubuntu (closes: #635887).
  * Use 'dpkg-vendor --derives-from Ubuntu' to detect Ubuntu systems rather
    than 'lsb_release -is' so that Ubuntu derivatives behave the same way as
    Ubuntu itself.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Jul 2011 14:27:52 +0100

openssh (1:5.8p1-6) unstable; urgency=low

  * openssh-client and openssh-server Suggests: monkeysphere.
  * Quieten logs when multiple from= restrictions are used in different
    authorized_keys lines for the same key; it's still not ideal, but at
    least you'll only get one log entry per key (closes: #630606).
  * Merge from Ubuntu (Dustin Kirkland):
    - openssh-server Recommends: ssh-import-id (no-op in Debian since that
      package doesn't exist there, but this reduces the Ubuntu delta).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2011 17:10:18 +0100

openssh (1:5.8p1-5) unstable; urgency=low

  * Drop openssh-server's dependency on openssh-blacklist to a
    recommendation (closes: #622604).
  * Update Vcs-* fields and README.source for Alioth changes.
  * Backport from upstream:
    - Make hostbased auth with ECDSA keys work correctly (closes: #633368).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Jul 2011 11:06:47 +0100

openssh (1:5.8p1-4ubuntu2) oneiric; urgency=low

  * openssh-client.apport:
    - neither related packages nor the SSHClientVersion contain sensitive
      information so include it regardless of yes/no response  

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Jul 2011 12:09:55 -0700

openssh (1:5.8p1-4ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.
    - Make openssh-server recommend ssh-import-id.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 May 2011 15:57:36 +0100

openssh (1:5.8p1-4) unstable; urgency=low

  * Drop hardcoded dependencies on libssl0.9.8 and libcrypto0.9.8-udeb,
    since the required minimum versions are rather old now anyway and
    openssl has bumped its SONAME (thanks, Julien Cristau; closes: #620828).
  * Remove unreachable code from openssh-server.postinst.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Apr 2011 15:56:18 +0100

openssh (1:5.8p1-3) unstable; urgency=low

  * Correct ssh-keygen instruction in the changelog for 1:5.7p1-1 (thanks,
    Joel Stanley).
  * Allow ssh-add to read from FIFOs (thanks, Daniel Kahn Gillmor; closes:
    #614897).

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2011 16:42:42 +0000

openssh (1:5.8p1-2) unstable; urgency=low

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:59:17 +0000

openssh (1:5.8p1-1ubuntu3) natty; urgency=low

  * Start on runlevel [2345] so that switching back to runlevel 2
    from single user mode starts ssh again. (LP: #747756)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 01 Apr 2011 16:05:43 -0700

openssh (1:5.8p1-1ubuntu2) natty; urgency=low

  [ Clint Byrum ]
  * debian/openssh-server.ssh.init: Adding upstart awareness that will
    call /lib/init/upstart-job when script is run outside of a chroot.
    While this fixes LP: #531912, the change should be reverted when
    upstart gains chroot session support.

  [ Colin Watson ]
  * Only do the above if /etc/init/ssh.conf still exists, since apparently
    some people have been removing it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Mar 2011 16:18:24 +0000

openssh (1:5.8p1-1ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.
    - Make openssh-server recommend ssh-import-id.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 05 Feb 2011 11:34:38 +0000

openssh (1:5.8p1-1) experimental; urgency=low

  * New upstream release (http://www.openssh.org/txt/release-5.8):
    - Fix stack information leak in legacy certificate signing
      (http://www.openssh.com/txt/legacy-cert.adv).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Feb 2011 11:13:11 +0000

openssh (1:5.7p1-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.
    - Make openssh-server recommend ssh-import-id.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jan 2011 12:20:29 +0000

openssh (1:5.7p1-2) experimental; urgency=low

  * Fix crash in ssh_selinux_setfscreatecon when SELinux is disabled
    (LP: #708571).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jan 2011 12:14:17 +0000

openssh (1:5.7p1-1ubuntu1) natty; urgency=low


