## openssh 5.9p1

=== debian/changelog ===
openssh (1:5.9p1-5ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.
  * Sync up pkg-config variable used in configure's ConsoleKit test with
    that used for libedit.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 11:43:31 +0100

openssh (1:5.9p1-5) unstable; urgency=low

  * Use dpkg-buildflags, including for hardening support; drop use of
    hardening-includes.
  * Fix cross-building:
    - Allow using a cross-architecture pkg-config.
    - Pass default LDFLAGS to contrib/Makefile.
    - Allow dh_strip to strip gnome-ssh-askpass, rather than calling
      'install -s'.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Apr 2012 11:20:33 +0100

openssh (1:5.9p1-4ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Mar 2012 12:40:02 +0000

openssh (1:5.9p1-4) unstable; urgency=low

  * Disable OpenSSL version check again, as its SONAME is sufficient
    nowadays (closes: #664383).

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Mar 2012 11:06:30 +0000

openssh (1:5.9p1-3ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Mar 2012 10:03:47 +0000

openssh (1:5.9p1-3) unstable; urgency=low

  * debconf template translations:
    - Update Polish (thanks, Michał Kułach; closes: #659829).
  * Ignore errors writing to console in init script (closes: #546743).
  * Move ssh-krb5 to Section: oldlibs.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Feb 2012 08:56:18 +0000

openssh (1:5.9p1-2ubuntu2) precise; urgency=low

  * Make Upstart job 'console none', to avoid pathological behaviour due to
    leaking Upstart's log fd 2 to child processes (LP: #926468).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Feb 2012 15:52:58 +0000

openssh (1:5.9p1-2ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Nov 2011 11:59:03 +0000

openssh (1:5.9p1-2) unstable; urgency=low

  * Mark openssh-client and openssh-server as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 02:06:48 +0000

openssh (1:5.9p1-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add support for registering ConsoleKit sessions on login.
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.
    - Convert to Upstart.  The init script is still here for the benefit of
      people running sshd in chroots.
    - Install apport hook.
    - Add mention of ssh-keygen in ssh connect warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 16:04:47 +0100

openssh (1:5.9p1-1) unstable; urgency=low

  * New upstream release (http://www.openssh.org/txt/release-5.9).
    - Introduce sandboxing of the pre-auth privsep child using an optional
      sshd_config(5) "UsePrivilegeSeparation=sandbox" mode that enables
      mandatory restrictions on the syscalls the privsep child can perform.
    - Add new SHA256-based HMAC transport integrity modes from
      http://www.ietf.org/id/draft-dbider-sha2-mac-for-ssh-02.txt.
    - The pre-authentication sshd(8) privilege separation slave process now
      logs via a socket shared with the master process, avoiding the need to
      maintain /dev/log inside the chroot (closes: #75043, #429243,
      #599240).
    - ssh(1) now warns when a server refuses X11 forwarding (closes:
      #504757).
    - sshd_config(5)'s AuthorizedKeysFile now accepts multiple paths,
      separated by whitespace (closes: #76312).  The authorized_keys2
      fallback is deprecated but documented (closes: #560156).
    - ssh(1) and sshd(8): set IPv6 traffic class from IPQoS, as well as IPv4
      ToS/DSCP (closes: #498297).
    - ssh-add(1) now accepts keys piped from standard input.  E.g. "ssh-add
      - < /path/to/key" (closes: #229124).
    - Clean up lost-passphrase text in ssh-keygen(1) (closes: #444691).
    - Say "required" rather than "recommended" in unprotected-private-key
      warning (LP: #663455).
  * Update OpenSSH FAQ to revision 1.112.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Sep 2011 23:46:00 +0100
