## openssh 6.0p1

=== debian/changelog ===
openssh (1:6.0p1-4+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-8325: Ignore PAM environment vars when UseLogin=yes

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Apr 2016 09:39:14 +0200

openssh (1:6.0p1-4+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable roaming in openssh client: roaming code is vulnerable to an
    information leak (CVE-2016-0777) and heap-based buffer overflow
    (CVE-2016-0778).

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 13 Jan 2016 22:35:39 +0100

openssh (1:6.0p1-4+deb7u2) stable; urgency=medium

  * Restore patch to disable OpenSSL version check (closes: #749472).

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 Jun 2014 14:27:46 +0100

openssh (1:6.0p1-4+deb7u1) stable-security; urgency=high

  * CVE-2014-2532: Disallow invalid characters in environment variable names
    to prevent bypassing AcceptEnv wildcard restrictions.
  * CVE-2014-2653: Attempt SSHFP lookup even if server presents a
    certificate (closes: #742513).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Apr 2014 00:05:17 +0100

openssh (1:6.0p1-4) unstable; urgency=low

  * CVE-2010-5107: Improve DoS resistance by changing default of MaxStartups
    to 10:30:100 (closes: #700102).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Feb 2013 21:27:00 +0000

openssh (1:6.0p1-3) unstable; urgency=low

  * debconf template translations:
    - Add Indonesian (thanks, Andika Triwidada; closes: #681670).
  * Call restorecon on copied ~/.ssh/authorized_keys if possible, since some
    SELinux policies require this (closes: #658675).
  * Add ncurses-term to openssh-server's Recommends, since it's often needed
    to support unusual terminal emulators on clients (closes: #675362).

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Aug 2012 06:55:36 +0100

openssh (1:6.0p1-2) unstable; urgency=low

  * Tighten libssl1.0.0 and libcrypto1.0.0-udeb dependencies to the current
    "fix" version at build time (closes: #678661).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Jun 2012 12:16:06 +0100

openssh (1:6.0p1-1) unstable; urgency=low

  [ Roger Leigh ]
  * Display dynamic part of MOTD from /run/motd.dynamic, if it exists
    (closes: #669699).

  [ Colin Watson ]
  * Update OpenSSH FAQ to revision 1.113, fixing missing line break (closes:
    #669667).
  * New upstream release (closes: #671010,
    http://www.openssh.org/txt/release-6.0).
    - Fix IPQoS not being set on non-mapped v4-in-v6 addressed connections
      (closes: #643312, #650512, #671075).
    - Add a new privilege separation sandbox implementation for Linux's new
      seccomp sandbox, automatically enabled on platforms that support it.
      (Note: privilege separation sandboxing is still experimental.)
  * Fix a bashism in configure's seccomp_filter check.
  * Add a sandbox fallback mechanism, so that behaviour on Linux depends on
    whether the running system's kernel has seccomp_filter support, not the
    build system's kernel (forwarded upstream as
    https://bugzilla.mindrot.org/show_bug.cgi?id=2011).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 May 2012 13:48:14 +0100
