=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 confflags += --with-selinux
 endif
-confflags += --with-consolekit
 
 # The deb build wants xauth; the udeb build doesn't.
 confflags += --with-xauth=/usr/bin/xauth
@@ -104,7 +103,7 @@
 confflags_udeb += --with-ldflags='-Wl,--as-needed'
 
 %:
-	dh $@ --with apport
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild-deb -- $(confflags)
@@ -167,10 +166,6 @@
 
 override_dh_installinit:
 	dh_installinit -n --name ssh
-	# We need to keep the init script as well as the Upstart job for
-	# now, for the benefit of people running sshd in chroots.
-	install -D -o root -g root debian/openssh-server.ssh.init debian/openssh-server/etc/init.d/ssh
-	install -D -o root -g root -m 644 debian/openssh-server.ssh.default debian/openssh-server/etc/default/ssh
 
 override_dh_installpam:
 	dh_installpam --name sshd
@@ -178,6 +173,11 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod u+s debian/openssh-client/usr/lib/openssh/ssh-keysign
+
+# Tighten libssl dependencies to match the check in entropy.c.
+override_dh_shlibdeps:
+	dh_shlibdeps
+	debian/adjust-openssl-dependencies
 
 override_dh_installdeb:
 	dh_installdeb
